Get presentation templates.
curl --request GET \
--url https://test.didxtech.com/me-creds/api/v1/templates/presentations \
--header 'Authorization: Bearer <token>'import requests
url = "https://test.didxtech.com/me-creds/api/v1/templates/presentations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://test.didxtech.com/me-creds/api/v1/templates/presentations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"name": "My presentation template",
"description": "This is a description",
"createdAt": "2025-02-20T11:27:37.051Z",
"updatedAt": "2025-02-20T11:27:37.051Z",
"id": "6421a8905c17830c188e2e2f",
"credentials": [
{
"format": "sd-jwt-vc",
"name": "My SD-JWT credential",
"description": "A verifiable credential",
"type": "https://test.didxtech.com/vct/acme-university/UniversityCard",
"attributes": {
"myAttribute": {
"type": "string"
}
}
},
{
"format": "mdoc",
"name": "My mDL credential",
"description": "A mobile driving licence",
"type": "org.iso.18013.5.1.mDL",
"attributes": {
"org.iso.18013.5.1": {
"properties": {
"family_name": {
"intentToRetain": false
}
}
}
}
}
]
}
],
"links": {
"self": "<string>",
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>",
"related": "<string>"
},
"meta": {},
"errors": [
{
"detail": "<string>",
"id": "<string>",
"status": "<string>",
"code": "<string>",
"title": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}{
"error": "<string>",
"details": "<string>"
}Presentation Templates API
Get presentation templates (v1)
GET
/
v1
/
templates
/
presentations
Get presentation templates.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filter presentation templates by their unique identifier
Example:
"6421a8905c17830c188e2e2f"
Search presentation templates by name (partial match)
Example:
"presentation"
Sort order for the results. Prefix with "-" for descending order
Available options:
id, -id, createdAt, -createdAt, updatedAt, -updatedAt Example:
"-createdAt"
Number of items to return per page (1-100)
Required range:
1 <= x <= 100Example:
10
Cursor for pagination - return items before this ID value
Example:
"6421a8905c17830c188e2e2f"
Cursor for pagination - return items after this ID value
Example:
"6421a8905c17830c188e2e30"
⌘I

